Package helma.objectmodel.db

# Class ParentInfo

java.lang.Object
helma.objectmodel.db.ParentInfo

public class ParentInfo extends Object
This class describes a parent relation between releational nodes.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`collectionname`
`final boolean`
`isroot`
`final String`
`propname`
`final String`
`virtualname`

## Constructor Summary

Constructors
Constructor
Description
`ParentInfo(String desc)`
Creates a new ParentInfo object.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### propname

public final String propname

### virtualname

public final String virtualname

### collectionname

public final String collectionname

### isroot

public final boolean isroot

## Constructor Details

### ParentInfo

public ParentInfo(String desc)
Creates a new ParentInfo object.

Parameters:
  `desc` - a single parent info descriptor

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the parent info